<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{F802FFAF-8395-4FED-A2B6-C183BC7FC1D3}</ProjectGuid>
    <RootNamespace>X</RootNamespace>
    <Keyword>Win32Proj</Keyword>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseOfMfc>false</UseOfMfc>
    <UseOfAtl>false</UseOfAtl>
    <CharacterSet>MultiByte</CharacterSet>
    <WholeProgramOptimization>false</WholeProgramOptimization>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup>
    <_ProjectFileVersion>10.0.30319.1</_ProjectFileVersion>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">$(SolutionDir)$(Configuration)\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">$(Configuration)\</IntDir>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">$(SolutionDir)$(Configuration)\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">$(Configuration)\</IntDir>
    <CodeAnalysisRuleSet Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">AllRules.ruleset</CodeAnalysisRuleSet>
    <CodeAnalysisRules Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" />
    <CodeAnalysisRuleAssemblies Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" />
    <CodeAnalysisRuleSet Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">AllRules.ruleset</CodeAnalysisRuleSet>
    <CodeAnalysisRules Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" />
    <CodeAnalysisRuleAssemblies Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" />
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <AdditionalIncludeDirectories>..\QapEngine;Entity;$(Box2D_212);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>WIN32;_DEBUG;_WINDOWS;NOUSE_MACRO_BUILD;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MinimalRebuild>true</MinimalRebuild>
      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
    </ClCompile>
    <Link>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <SubSystem>Windows</SubSystem>
      <TargetMachine>MachineX86</TargetMachine>
      <IgnoreSpecificDefaultLibraries>libc.lib;msvcrt.lib;libcmt.lib</IgnoreSpecificDefaultLibraries>
      <AdditionalLibraryDirectories>%Box2D_212%\Build\Box2D\Release;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <Profile>true</Profile>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <PreBuildEvent>
      <Command>"$(SolutionDir)GenInfo\BuildMan.exe" "$(SolutionDir)GenInfo\BuildInfo.h" BEFORE</Command>
    </PreBuildEvent>
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <AdditionalIncludeDirectories>..\QapEngine;Entity;$(Box2D_212);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>WIN32;NDEBUG;_WINDOWS;NOUSE_MACRO_BUILD;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <WarningLevel>Level1</WarningLevel>
    </ClCompile>
    <Link>
      <Version>
      </Version>
      <SubSystem>Windows</SubSystem>
      <TargetMachine>MachineX86</TargetMachine>
      <IgnoreSpecificDefaultLibraries>libc.lib;msvcrt.lib</IgnoreSpecificDefaultLibraries>
      <AdditionalLibraryDirectories>%Box2D_212%\Build\Box2D\Release</AdditionalLibraryDirectories>
    </Link>
    <PostBuildEvent>
      <Command>"$(SolutionDir)GenInfo\BuildMan.exe" "$(SolutionDir)GenInfo\BuildInfo.h" AFTER</Command>
    </PostBuildEvent>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="..\QapEngine\QapDX.cpp" />
    <ClCompile Include="..\QapEngine\QapEntity.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="..\QapEngine\QapInput.cpp" />
    <ClCompile Include="..\QapEngine\QapIO.cpp" />
    <ClCompile Include="..\QapEngine\QapMatrix.cpp" />
    <ClCompile Include="..\QapEngine\QapProClass.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="..\QapEngine\QapSys.cpp" />
    <ClCompile Include="main.cpp" />
    <ClCompile Include="stdafx.cpp">
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">Create</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">Create</PrecompiledHeader>
    </ClCompile>
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="..\QapEngine\NakedIO.h" />
    <ClInclude Include="..\QapEngine\QapAssert.h" />
    <ClInclude Include="..\QapEngine\QapClock.h" />
    <ClInclude Include="..\QapEngine\QapDev.h" />
    <ClInclude Include="..\QapEngine\QapDX.h" />
    <ClInclude Include="..\QapEngine\QapEntity.h" />
    <ClInclude Include="..\QapEngine\QapGDI.h" />
    <ClInclude Include="..\QapEngine\QapInput.h" />
    <ClInclude Include="..\QapEngine\QapIO.h" />
    <ClInclude Include="..\QapEngine\QapMatrix.h" />
    <ClInclude Include="..\QapEngine\QapPool.h" />
    <ClInclude Include="..\QapEngine\QapScene.h" />
    <ClInclude Include="..\QapEngine\QapSys.h" />
    <ClInclude Include="..\QapEngine\QapTools.h" />
    <ClInclude Include="..\QapEngine\QapType.h" />
    <ClInclude Include="..\QapEngine\QapVec.h" />
    <ClInclude Include="GeomTools.h" />
    <ClInclude Include="Main.h" />
    <ClInclude Include="QapAtlas.hpp" />
    <ClInclude Include="stdafx.h" />
    <ClInclude Include="TextRender.hpp" />
    <CustomBuildStep Include="..\QapEngine\QapType.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">true</ExcludedFromBuild>
    </CustomBuildStep>
  </ItemGroup>
  <ItemGroup>
    <CustomBuildStep Include="..\QapEngine\Qap[Template].cpp.txt" />
    <CustomBuildStep Include="..\QapEngine\Qap[Template].h.txt" />
  </ItemGroup>
  <ItemGroup>
    <None Include="..\QapEngine\QapProTweak.inl" />
    <None Include="Entity.inl" />
    <None Include="GameMenu.inl" />
    <None Include="LevelPack.inl" />
    <None Include="План.txt" />
    <None Include="Сущности.txt" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>